2020-08-13 16:02 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002644Spring engineGeneralpublic2011-09-25 11:40
Reporterabma 
Assigned Tohoijui 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version83.0 
Summary0002644: (master) console output goes all to stderr
Descriptionimo thats wrong, only everything >=LOG_LEVEL_ERROR should go to stderr, the rest to stdout.


to test:

spring >/dev/null
vs
spring 2>/dev/null

the last one, doesn't output anything...
Additional Informationit would be very helpful if errors go only to stderr:

spring can be run with spring >/dev/null, and if not output occurs, everything is fine...
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0007340

hoijui (reporter)

yeah, i know about that, and i agree.
this is basically already implemented (see all the unit-tests, for example).
It does not work in spring/unitsync yet, because they still ultimately use LogOutput.cpp for output, which does not know about log levels.
The reason why LogOutput is still used, is cause it adds current-frame info, and cause no log-file output is implemented with the new system yet.
it is both quite minor stuff to implement (especially the frame info of course).

~0007406

hoijui (reporter)

implemented in:
https://github.com/spring/spring/commit/c6b5307214adcf44074af05d238c5f13d1a58404
+Notes

-Issue History
Date Modified Username Field Change
2011-09-07 11:35 abma New Issue
2011-09-07 11:39 abma Additional Information Updated
2011-09-08 09:56 hoijui Note Added: 0007340
2011-09-08 17:53 hoijui Status new => assigned
2011-09-08 17:53 hoijui Assigned To => hoijui
2011-09-25 11:40 hoijui Note Added: 0007406
2011-09-25 11:40 hoijui Status assigned => resolved
2011-09-25 11:40 hoijui Fixed in Version => 0.83.0
2011-09-25 11:40 hoijui Resolution open => fixed
+Issue History